@import url('./reset.css');
@import url('./reset_personal.css');
@import url('./fonts.css');

.main-container {
    max-width: 1900px;
    margin: 0 auto;
    font-family: 'Open Sans Regular', 'Times New Roman', sans-serif;
    text-align: center;
}

/* HEADER */
header {
    height: 4.375em;
    color:white;
    background: #313131;
    justify-content: space-between;
}

.logo {
    margin: 0 2em;
}

.logo-name {
    font-family: 'Open Sans Bold', 'Times New Roman', sans-serif;
    font-size: 1.375em;
    vertical-align: middle;
}

.navigation {
    text-transform: uppercase;
    justify-content: space-between;
    width: 46rem;
    font-size: 0.93em;
    flex-wrap: wrap;
}

.flex-centered {
    display: flex;    
    align-items: center;   
}

.search {
    height: 100%;
    width: 4.375em;
    background: black;
    justify-content: center;
}
/* HEADER */


/* SECTION1 */
.news {
    padding: 7.9em 0;
    background: url('../img/header-bg.jpeg') center;
    background-size: cover;
    background-attachment: fixed;
    justify-content: center;
}

.news-slogan {
    font-size: 1.7em;
    color: white;
}

.btn {
    display: inline-block;
    width: 10.6em;
    padding: 1em 0;
    color: white;
    font-size: 1.125em;
    background: #89CA62;
    margin-top: 2.7em; 
    font-family: inherit;
    font-weight: 600;
}

.btn:last-child {
    background: #14B9D5;
    margin-left: 1.2em;
}
/* SECTION1 */


/* SECTION2 */
.posts {
    /* height: 64.4em; */
    background: #F2F2F2;
}

.sections-heading {
    color: #18B4CF;
    font-family: 'Open Sans Bold', 'Times New Roman', sans-serif;
    font-size: 1.68em;
    padding: 2.2em;
    text-transform: uppercase;
}

.posts-container {
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    height: 56em;
    width: 73.125em;
    align-items: center;
    margin:0 auto;
    align-content: space-between;
}

.posts-description {
    font-size: 1.125em;
    font-family: 'Open Sans Bold', 'Times New Roman', sans-serif;
    background: white;
    padding: 1.2em 0;
    text-align: center;
    margin-bottom: 2em;
}
/* SECTION2 */

/* SECTION3 */
.clients {
    padding: 12.18em 0;
    background: url('../img/parallax-bg.jpeg') center;
    background-attachment: fixed;
    background-size: cover;
    display: grid;
    align-content: center;
}

.clients-container {
    gap: 3.125em;
    display: grid;
    justify-content: center;
    align-items: center;
    grid-template-columns: repeat(4, auto);
    grid-template-rows: repeat(2, auto);
}

.sections-heading-large {
    color: white;
    font-family: 'Open Sans Bold', 'Times New Roman', sans-serif;
    font-size: 2em;
    grid-area: 1/1/2/5;
    text-transform: uppercase;
}

.sections-heading-large::after {
    content:'';
    display: block;
    width: 60px;
    height: 3px;
    background: #18B4CF;
    position: relative;
    left:50%;
    transform: translateX(-50%);
    margin-top: 1.4em;
}
/* SECTION3 */

/* SECTION4 */
.top-rated-gallery {
    display:grid;
    grid-template: auto / repeat(auto-fit, minmax(6em, 1fr));
}

.top-rated-gallery > img {
    width: 100%;
}
/* SECTION4 */


/* SECTION5 */
.hot-news-gallery {
    display:grid;
    gap: 2.8em 2.18em;
    width: 73em;
    margin: 0 auto 4.373em auto;
    grid-template: 
        "prohepcy prohepcy prohepcy nebula" 16.25em
        "western western grand grand" 1fr
        "tererife tererife twin twin" 1fr
        "prism king king king" 16.25em
        / 1fr 1fr 1fr 1fr;
}

.gallery-items > img {
    width: 100%;
}

.prohepcy {
    grid-area: prohepcy;
}
.nebula {
    grid-area: nebula;
}
.western {
    grid-area: western;
}
.grand {
    grid-area: grand;
}
.tererife {
    grid-area: tererife;
}
.twin {
    grid-area: twin;
}
.prism {
    grid-area: prism;
}
.king {
    grid-area: king;
}

.gallery-items {
    background: #F9F7F7;
}

.flexed.gallery-items {
    display: flex;
}

.non-flexed.gallery-items:nth-child(odd) {
    margin-right: 0.8em;
}

.non-flexed.gallery-items:nth-child(even) {
    margin-left: 0.8em;
}

.news-title {
    font-family: 'Open Sans Bold', 'Times New Roman', sans-serif;
    font-size: 1.125em;
    color: #353A3D;
    padding: 1rem 0;
}

.news-details {
    text-align: right;
    align-self: center;
    padding: 0 1.5em;
}

.news-description {
    line-height: 1.5em;
    font-size: 0.875em;
    padding-bottom: 1em;
    color: #5B6469;
}
/* SECTION5 */

/* FOOTER */
footer {
    display: flex;
    justify-content: center;
    color:white;
    background: black;
}

.footer-content {
    width: 73rem;
    display: flex;
    justify-content: space-between;
    padding: 2em 0;
    font-size: 0.8em;
}

.copyright {
    align-self: center;
}
/* FOOTER */